# - config file for FCLib package
# Written by F. Pérignon, 2011 march
#
# This file generates FCLibConfig.cmake, that may be used by another cmake project
# to retrieve all the configuration variables from FCLib
#
# It defines the following variables
#
# FCLib_INCLUDE_DIRS - include directories for ppmcore
# FCLib_EXTRA_INCLUDE_DIRS - path to extra headers needed for FCLib (metis.h ...)
# FCLib_LIBRARY_DIRS - path to FCLib library(ies)
# FCLib_LIBRARIES  - libraries to link against to use ppmcore
# FCLib_USE_XXX - value of option "USE_XXX" (for example USE_MPI, USE_Metis ... = ON or OFF)

# Tell the user where to find ppmcore headers
# Tell the user project where to find our headers and libraries
set(FCLib_INCLUDE_DIRS "/usr/include")
set(FCLib_EXTRA_INCLUDE_DIRS "")
set(FCLib_LIBRARY_DIRS "/usr/lib/x86_64-linux-gnu")
set(FCLib_MODULE_DIR "/usr/include/Modules")

# Our library dependencies (contains definitions for IMPORTED targets)
include("/usr/lib/x86_64-linux-gnu/cmake/FCLib/FCLibLibraryDepends.cmake")
 
# These are IMPORTED targets created by FooBarLibraryDepends.cmake
set(FCLib_LIBRARIES fclib)

# Set all FCLib options
set(FCLib_FCLIB_WITH_MERIT_FUNCTIONS ON)
set(FCLib_FCLIB_HEADER_ONLY OFF)
set(FCLib_USE_MPI OFF)



